## texinfo 7.1.1

=== tp/maintain/lib/libintl-perl/Makefile ===
# This Makefile is for the libintl-perl extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.24 (Revision: 72400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[High-Level Interface to Uniforum Message Translation]
#     AUTHOR => [q[Guido Flohr <guido.flohr@cantanea.com>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DIR => [q[gettext_xs]]
#     META_MERGE => { recommends=>{ File::ShareDir=>q[0] }, resources=>{ bugtracker=>q[https://github.com/gflohr/libintl-perl/issues], homepage=>q[http://www.guido-flohr.net/en/projects/], repository=>q[https://github.com/gflohr/libintl-perl.git] } }
#     NAME => q[libintl-perl]
#     PL_FILES => {  }
#     PREREQ_PM => { File::Spec=>q[0], version=>q[0.77] }
#     SIGN => q[1]
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[lib/Locale/Messages.pm]
#     clean => { FILES=>q[xs_disabled build_xs] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/x86_64-linux-gnu/perl/5.26/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = x86_64-linux-gnu-gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = x86_64-linux-gnu-gcc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector-strong
LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
LIBC = libc-2.27.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 4.9.0
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.26.1
SITEARCHEXP = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
SO = so
VENDORARCHEXP = /usr/lib/x86_64-linux-gnu/perl5/5.26
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = libintl-perl
NAME_SYM = libintl_perl
VERSION = 1.32
VERSION_MACRO = VERSION
VERSION_SYM = 1_32
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.32
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr/local
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/share/perl/5.26
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/share/perl/5.26.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib/x86_64-linux-gnu/perl5/5.26
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.26
PERL_ARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
PERL_ARCHLIBDEP = /usr/lib/x86_64-linux-gnu/perl/5.26
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL_INCDEP = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL = "/usr/bin/perl"
FULLPERL = "/usr/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.26/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.24
MM_REVISION = 72400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = libintl-perl
BASEEXT = perl
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Locale/Messages.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/Locale/Messages.pm \
	lib/Locale/Recode.pm \
	lib/Locale/Recode/_Aliases.pm \
	lib/Locale/Recode/_Conversions.pm \
	lib/Locale/RecodeData.pm \
	lib/Locale/RecodeData/ASMO_449.pm \
	lib/Locale/RecodeData/ATARI_ST.pm \
	lib/Locale/RecodeData/ATARI_ST_EURO.pm \
	lib/Locale/RecodeData/CP10007.pm \
	lib/Locale/RecodeData/CP1250.pm \
	lib/Locale/RecodeData/CP1251.pm \
	lib/Locale/RecodeData/CP1252.pm \
	lib/Locale/RecodeData/CP1253.pm \
	lib/Locale/RecodeData/CP1254.pm \
	lib/Locale/RecodeData/CP1256.pm \
	lib/Locale/RecodeData/CP1257.pm \
	lib/Locale/RecodeData/CSN_369103.pm \
	lib/Locale/RecodeData/CWI.pm \
	lib/Locale/RecodeData/DEC_MCS.pm \
	lib/Locale/RecodeData/EBCDIC_AT_DE.pm \
	lib/Locale/RecodeData/EBCDIC_AT_DE_A.pm \
	lib/Locale/RecodeData/EBCDIC_CA_FR.pm \
	lib/Locale/RecodeData/EBCDIC_DK_NO.pm \
	lib/Locale/RecodeData/EBCDIC_DK_NO_A.pm \
	lib/Locale/RecodeData/EBCDIC_ES.pm \
	lib/Locale/RecodeData/EBCDIC_ES_A.pm \
	lib/Locale/RecodeData/EBCDIC_ES_S.pm \
	lib/Locale/RecodeData/EBCDIC_FI_SE.pm \
	lib/Locale/RecodeData/EBCDIC_FI_SE_A.pm \
	lib/Locale/RecodeData/EBCDIC_FR.pm \
	lib/Locale/RecodeData/EBCDIC_IS_FRISS.pm \
	lib/Locale/RecodeData/EBCDIC_IT.pm \
	lib/Locale/RecodeData/EBCDIC_PT.pm \
	lib/Locale/RecodeData/EBCDIC_UK.pm \
	lib/Locale/RecodeData/EBCDIC_US.pm \
	lib/Locale/RecodeData/ECMA_CYRILLIC.pm \
	lib/Locale/RecodeData/GEORGIAN_ACADEMY.pm \
	lib/Locale/RecodeData/GEORGIAN_PS.pm \
	lib/Locale/RecodeData/GOST_19768_74.pm \
	lib/Locale/RecodeData/GREEK7.pm \
	lib/Locale/RecodeData/GREEK7_OLD.pm \
	lib/Locale/RecodeData/GREEK_CCITT.pm \
	lib/Locale/RecodeData/HP_ROMAN8.pm \
	lib/Locale/RecodeData/IBM037.pm \
	lib/Locale/RecodeData/IBM038.pm \
	lib/Locale/RecodeData/IBM1004.pm \
	lib/Locale/RecodeData/IBM1026.pm \
	lib/Locale/RecodeData/IBM1047.pm \
	lib/Locale/RecodeData/IBM256.pm \
	lib/Locale/RecodeData/IBM273.pm \
	lib/Locale/RecodeData/IBM274.pm \
	lib/Locale/RecodeData/IBM275.pm \
	lib/Locale/RecodeData/IBM277.pm \
	lib/Locale/RecodeData/IBM278.pm \
	lib/Locale/RecodeData/IBM280.pm \
	lib/Locale/RecodeData/IBM281.pm \
	lib/Locale/RecodeData/IBM284.pm \
	lib/Locale/RecodeData/IBM285.pm \
	lib/Locale/RecodeData/IBM290.pm \
	lib/Locale/RecodeData/IBM297.pm \
	lib/Locale/RecodeData/IBM420.pm \
	lib/Locale/RecodeData/IBM423.pm \
	lib/Locale/RecodeData/IBM424.pm \
	lib/Locale/RecodeData/IBM437.pm \
	lib/Locale/RecodeData/IBM500.pm \
	lib/Locale/RecodeData/IBM850.pm \
	lib/Locale/RecodeData/IBM851.pm \
	lib/Locale/RecodeData/IBM852.pm \
	lib/Locale/RecodeData/IBM855.pm \
	lib/Locale/RecodeData/IBM857.pm \
	lib/Locale/RecodeData/IBM860.pm \
	lib/Locale/RecodeData/IBM861.pm \
	lib/Locale/RecodeData/IBM862.pm \
	lib/Locale/RecodeData/IBM863.pm \
	lib/Locale/RecodeData/IBM864.pm \
	lib/Locale/RecodeData/IBM865.pm \
	lib/Locale/RecodeData/IBM866.pm \
	lib/Locale/RecodeData/IBM868.pm \
	lib/Locale/RecodeData/IBM869.pm \
	lib/Locale/RecodeData/IBM870.pm \
	lib/Locale/RecodeData/IBM871.pm \
	lib/Locale/RecodeData/IBM874.pm \
	lib/Locale/RecodeData/IBM875.pm \
	lib/Locale/RecodeData/IBM880.pm \
	lib/Locale/RecodeData/IBM891.pm \
	lib/Locale/RecodeData/IBM903.pm \
	lib/Locale/RecodeData/IBM904.pm \
	lib/Locale/RecodeData/IBM905.pm \
	lib/Locale/RecodeData/IBM918.pm \
	lib/Locale/RecodeData/IEC_P27_1.pm \
	lib/Locale/RecodeData/INIS.pm \
	lib/Locale/RecodeData/INIS_8.pm \
	lib/Locale/RecodeData/INIS_CYRILLIC.pm \
	lib/Locale/RecodeData/ISO_10367_BOX.pm \
	lib/Locale/RecodeData/ISO_2033_1983.pm \
	lib/Locale/RecodeData/ISO_5427.pm \
	lib/Locale/RecodeData/ISO_5427_EXT.pm \
	lib/Locale/RecodeData/ISO_5428.pm \
	lib/Locale/RecodeData/ISO_8859_1.pm \
	lib/Locale/RecodeData/ISO_8859_10.pm \
	lib/Locale/RecodeData/ISO_8859_11.pm \
	lib/Locale/RecodeData/ISO_8859_13.pm \
	lib/Locale/RecodeData/ISO_8859_14.pm \
	lib/Locale/RecodeData/ISO_8859_15.pm \
	lib/Locale/RecodeData/ISO_8859_16.pm \
	lib/Locale/RecodeData/ISO_8859_2.pm \
	lib/Locale/RecodeData/ISO_8859_3.pm \
	lib/Locale/RecodeData/ISO_8859_4.pm \
	lib/Locale/RecodeData/ISO_8859_5.pm \
	lib/Locale/RecodeData/ISO_8859_6.pm \
	lib/Locale/RecodeData/ISO_8859_7.pm \
	lib/Locale/RecodeData/ISO_8859_8.pm \
	lib/Locale/RecodeData/ISO_8859_9.pm \
	lib/Locale/RecodeData/KOI8_R.pm \
	lib/Locale/RecodeData/KOI8_RU.pm \
	lib/Locale/RecodeData/KOI8_T.pm \
	lib/Locale/RecodeData/KOI8_U.pm \
	lib/Locale/RecodeData/KOI_8.pm \
	lib/Locale/RecodeData/LATIN_GREEK.pm \
	lib/Locale/RecodeData/LATIN_GREEK_1.pm \
	lib/Locale/RecodeData/MACARABIC.pm \
	lib/Locale/RecodeData/MACCROATIAN.pm \
	lib/Locale/RecodeData/MACCYRILLIC.pm \
	lib/Locale/RecodeData/MACGREEK.pm \
	lib/Locale/RecodeData/MACHEBREW.pm \
	lib/Locale/RecodeData/MACICELAND.pm \
	lib/Locale/RecodeData/MACINTOSH.pm \
	lib/Locale/RecodeData/MACROMANIA.pm \
	lib/Locale/RecodeData/MACTHAI.pm \
	lib/Locale/RecodeData/MACTURKISH.pm \
	lib/Locale/RecodeData/MACUKRAINE.pm \
	lib/Locale/RecodeData/MAC_IS.pm \
	lib/Locale/RecodeData/MAC_SAMI.pm \
	lib/Locale/RecodeData/MAC_UK.pm \
	lib/Locale/RecodeData/NATS_DANO.pm \
	lib/Locale/RecodeData/NATS_SEFI.pm \
	lib/Locale/RecodeData/NEXTSTEP.pm \
	lib/Locale/RecodeData/SAMI_WS2.pm \
	lib/Locale/RecodeData/TIS_620.pm \
	lib/Locale/RecodeData/US_ASCII.pm \
	lib/Locale/RecodeData/UTF_8.pm \
	lib/Locale/RecodeData/VISCII.pm \
	lib/Locale/RecodeData/_Encode.pm \
	lib/Locale/TextDomain.pm \
	lib/Locale/Util.pm \
	lib/Locale/gettext_dumb.pm \
	lib/Locale/gettext_pp.pm \
	lib/Locale/gettext_xs.pod \
	lib/Locale/libintlFAQ.pod

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/Locale/Messages.pm \
	lib/Locale/Recode.pm \
	lib/Locale/Recode/_Aliases.pm \
	lib/Locale/Recode/_Conversions.pm \
	lib/Locale/RecodeData.pm \
	lib/Locale/RecodeData/ASMO_449.pm \
	lib/Locale/RecodeData/ATARI_ST.pm \
	lib/Locale/RecodeData/ATARI_ST_EURO.pm \
	lib/Locale/RecodeData/CP10007.pm \
	lib/Locale/RecodeData/CP1250.pm \
	lib/Locale/RecodeData/CP1251.pm \
	lib/Locale/RecodeData/CP1252.pm \
	lib/Locale/RecodeData/CP1253.pm \
