=== debian/changelog ===
texinfo (7.1.1-1ubuntu1) questing; urgency=medium

  * d/p/0003-Use-explicit-prototype-for-Info-command-functions.patch:
    Cherry-pick commit from upstream to use explicit prototypes for some
    functions which did not have parameters defined previously, to fix FTBFS
    with GCC 15 (LP: #2125002).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 18 Sep 2025 11:59:27 -0700

texinfo (7.1.1-1) unstable; urgency=medium

  * New upstream release; disable obsolete patches, add DEP-3
    header to remaining patches.
  * Package builds a source package after a successful build
    (Closes: #1046800).
  * Lintian overrides / fixes.
  * Debian test suite does not need full package build.
  * Bump Standards version, no changes needed.
  * Update d/copyright to 2024.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 14 Sep 2024 00:07:11 +0200
