=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	   Frank Küster <frank@debian.org>,
	   Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13),
	libncurses-dev,
	gettext,
	libtext-unidecode-perl,
	help2man,
	libperl-dev,
	desktop-file-utils
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/texinfo.git
Vcs-Browser: https://github.com/debian-tex/texinfo
Homepage: https://www.gnu.org/software/texinfo/

Package: texinfo
Section: text
Priority: optional
Architecture: all
Depends: ${shlibs:Depends},
	${misc:Depends},
	${perl:Depends},
	libtext-unidecode-perl,
	libxml-libxml-perl,
	texinfo-lib (>= ${source:Version}),
	tex-common
Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended
Breaks: texinfo-doc-nonfree
Replaces: texinfo-doc-nonfree
Multi-Arch: foreign
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices.
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: texinfo-lib
Section: text
Priority: optional
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	${perl:Depends}
Breaks: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
Replaces: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
Description: Libraries needed by the texinfo package
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices.
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.
 .
 This package contains the architecture dependent parts of the texinfo package.

Package: info
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
Provides: info-browser
Breaks: texinfo-doc-nonfree
Replaces: texinfo-doc-nonfree
Multi-Arch: foreign
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

Package: install-info
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Manage installed documentation in info format
 The install-info utility creates the index of all installed documentation
 in info format and makes it available to info readers.
