=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

DEB_CFLAGS_MAINT_APPEND=-Wall
# needed for correct building of new texinfo
DEB_CFLAGS_MAINT_STRIP=-Werror=format-security

include /usr/share/dpkg/architecture.mk

include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS
export PERL_EXT_CFLAGS := $(CFLAGS)
export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
export PERL_EXT_LDFLAGS := $(LDFLAGS)

texinfo := $(CURDIR)/debian/texinfo
ii := $(CURDIR)/debian/install-info
infopkg := $(CURDIR)/debian/info
tmpdir := $(CURDIR)/debian/tmp

# The Debian provided libintl-perl breaks several tests and probably
# also some of the behaviour. Disable it until these problems are fixed
# on either side.
#	  --with-external-libintl-perl=yes \

%:
	dh $@

override_dh_auto_configure:
	AWK=awk ./configure \
	  --with-external-Text-Unidecode=yes \
	  --prefix=/usr \
	  --libexecdir='$${prefix}/lib' \
	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

execute_before_dh_auto_build:
	cp man/texi2dvi.1 debian

execute_after_dh_auto_build:
	# build html docs
	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html info-stnd
	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html texinfo
	mv debian/texi2dvi.1 man/
	touch man/texi2dvi.1

override_dh_auto_install:
	$(MAKE) install install-tex prefix=$(tmpdir)/usr \
                                    TEXMF=$(tmpdir)/usr/share/texmf

override_dh_install:
	find $(tmpdir) -type f -name dir | xargs rm -f
	#
	desktop-file-install --dir=$(tmpdir)/usr/share/applications debian/info.desktop
	#
	# clean out .la files as they contain references to libperl
	# which is not necessary
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(tmpdir) -name '*.la'`
	#
	# epsf.tex is in texlive
	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
	# install all the files
	dh_install
	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info

#binary-indep:
# There aren't any architecture independent packages here.

override_dh_auto_test:
	# Skip test suite.

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_perl:
	dh_perl /usr/lib/texinfo

# other targets
update-texinfo.tex:
	wget -O $(CURDIR)/debian/texinfo.tex ftp://tug.org/tex/texinfo.tex

#.PHONY: build clean binary-indep binary-arch binary install
