=== debian/tests/control ===
Tests: test-suite
Depends: build-essential,
	libncurses-dev,
	gettext,
	help2man,
	libtext-unidecode-perl,
	libperl-dev
Restrictions: allow-stderr
