=== debian/changelog ===
texinfo (7.2-5) unstable; urgency=medium

  [ Niko Tyni ]
  * Patch 0001-Fix-test-suite-failures-with-Perl-5.42 to fix test suite
    failure on Perl 5.42 (Closes: #1115088).

  * Delete obsolete patches.
  * Replace "configure call" by "dh_auto_configure".
  * Remove obsolete build workarounds.
  * Enable hardening.
  * Lintian override: E: texinfo-lib: custom-library-search-path RUNPATH
  * texinfo moves back to salse, update Vcs-* in d/control.
  * Bump Standards version: no changes needed.
  * More Lintian stuff.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 24 Oct 2025 23:42:56 +0200

texinfo (7.2-4) unstable; urgency=medium

  * Disable test suite during build again, b/c it fails on official
    builders propbably due to different user environment.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 19 Aug 2025 09:02:24 +0200

texinfo (7.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Run test suite during build (Closes: #1067479).

 -- Hilmar Preuße <hille42@debian.org>  Tue, 19 Aug 2025 07:31:31 +0200

texinfo (7.2-2) experimental; urgency=medium

  * Install some *.la files again after recommendation from upstream.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 18 Jan 2025 23:30:00 +0100

texinfo (7.2-1) experimental; urgency=medium

  * New upstream release.
    - Can be built using gcc-15 (Closes: #1097986).
    "The use of the directories ~/.texinfo and ~/.texi2any for configuration
    files is deprecated, and should be replaced by texinfo or texi2any
    directories under XDG_CONFIG_HOME (usually ~/.config/).  the new
    locations are compatible with the XDG Base Directory Specification.
    in future versions, the ~/.texinfo and ~/.texi2any directories will
    not be in search paths."
  * Demote priority of "info" and "install-info" to optional
    (PR #12).
  * Don't install *.la files into /usr/lib any more.
  * Build using "--with-external-libintl-perl=yes" to use libintl-perl
    delivered with Debian.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 07 Jan 2025 23:29:37 +0100
