=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: texinfo
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
 	   Frank Küster <frank@debian.org>,
 	   Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	desktop-file-utils,
+	gettext,
+	help2man,
+	libintl-perl,
 	libncurses-dev,
-	gettext,
-	libtext-unidecode-perl,
-	help2man,
 	libperl-dev,
-	desktop-file-utils
-Standards-Version: 4.7.0
+	libtext-unidecode-perl
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/debian-tex/texinfo.git
-Vcs-Browser: https://github.com/debian-tex/texinfo
+Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
+Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
 Homepage: https://www.gnu.org/software/texinfo/
 
 Package: texinfo
@@ -27,6 +27,7 @@
 	${misc:Depends},
 	${perl:Depends},
 	libtext-unidecode-perl,
+	libintl-perl,
 	libxml-libxml-perl,
 	texinfo-lib (>= ${source:Version}),
 	tex-common
@@ -64,7 +65,7 @@
  This package contains the architecture dependent parts of the texinfo package.
 
 Package: info
-Priority: important
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
 Provides: info-browser
@@ -80,7 +81,7 @@
  the form of Info files, so it is most likely you will want to install it.
 
 Package: install-info
-Priority: important
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
