=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,17 @@
 
 DEB_CFLAGS_MAINT_APPEND=-Wall
 # needed for correct building of new texinfo
-DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+#DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 
 include /usr/share/dpkg/buildflags.mk
-export CPPFLAGS CFLAGS LDFLAGS
+#export CPPFLAGS CFLAGS LDFLAGS
 export PERL_EXT_CFLAGS := $(CFLAGS)
 export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
 export PERL_EXT_LDFLAGS := $(LDFLAGS)
 
-texinfo := $(CURDIR)/debian/texinfo
-ii := $(CURDIR)/debian/install-info
-infopkg := $(CURDIR)/debian/info
 tmpdir := $(CURDIR)/debian/tmp
 
 # The Debian provided libintl-perl breaks several tests and probably
@@ -29,11 +27,11 @@
 	dh $@
 
 override_dh_auto_configure:
-	AWK=awk ./configure \
+	AWK=awk dh_auto_configure -- \
+	  --libdir='$${prefix}/lib' \
+	  --libexecdir='$${prefix}/lib' \
 	  --with-external-Text-Unidecode=yes \
-	  --prefix=/usr \
-	  --libexecdir='$${prefix}/lib' \
-	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
+	  --with-external-libintl-perl=yes \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 
 execute_before_dh_auto_build:
@@ -63,7 +61,6 @@
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
 	dh_install
-	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info
 
 #binary-indep:
 # There aren't any architecture independent packages here.
@@ -75,7 +72,12 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_perl:
-	dh_perl /usr/lib/texinfo
+	#dh_perl /usr/lib/texinfo
+	dh_perl /usr/lib/texi2any
+
+override_dh_missing:
+	dh_missing --list-missing --sourcedir=debian/tmp
+	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info -X usr/lib/texi2any
 
 # other targets
 update-texinfo.tex:
