=== debian/tests/control ===
Tests: test-suite
Depends: build-essential,
	gettext,
	help2man,
	libintl-perl,
	libncurses-dev,
	libperl-dev,
	libtext-unidecode-perl
Restrictions: allow-stderr
