## texinfo 7.2.90

=== debian/changelog ===
texinfo (7.2.90-2) experimental; urgency=medium

  * Ignore comments in /etc/environment (Closes: #1127091).
  * Add libcrypt-dev to BD (Closes: #1127328).

 -- Hilmar Preuße <hille42@debian.org>  Sun, 08 Feb 2026 15:12:35 +0100

texinfo (7.2.90-1) experimental; urgency=medium

  * New upstream (beta) version.
  * Bump Standards version, no changes needed.
  * Add patch from Daniel Abrecht <deb@danielabrecht.ch> to stop
    sourcing /etc/environment (Closes: #1114610).

 -- Hilmar Preuße <hille42@debian.org>  Thu, 05 Feb 2026 23:00:19 +0100
