=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,8 @@
 #	  --with-external-libintl-perl=yes \
 
 %:
-	dh $@
+	dh $@ --without autoreconf
+	# Re-enable autoreconf after gettext => 0.26 entered the archive.
 
 override_dh_auto_configure:
 	AWK=awk dh_auto_configure -- \
@@ -33,14 +34,17 @@
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	# Leave C based texi2any for later; need a new package for "texiany".
+	#  --enable-c-texi2any
+
 
 execute_before_dh_auto_build:
 	cp man/texi2dvi.1 debian
 
 execute_after_dh_auto_build:
 	# build html docs
-	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html info-stnd
-	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html texinfo
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tta/perl/texi2any --html info-stnd
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tta/perl/texi2any --html texinfo
 	mv debian/texi2dvi.1 man/
 	touch man/texi2dvi.1
