## texinfo 7.2.91

=== debian/changelog ===
texinfo (7.2.91-1) experimental; urgency=medium

  * New upstream (beta) version.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 09 Feb 2026 14:36:42 +0100
