=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 	libintl-perl,
 	libncurses-dev,
 	libperl-dev,
+	libcrypt-dev,
 	libtext-unidecode-perl
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
 Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
 Homepage: https://www.gnu.org/software/texinfo/
