## texinfo 7.2.92

=== debian/changelog ===
texinfo (7.2.92-1) experimental; urgency=medium

  * New upstream (beta) version.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 22 Feb 2026 11:57:35 +0100
