## texinfo 7.3

=== debian/changelog ===
texinfo (7.3-1) experimental; urgency=medium

  Final release TeXInfo 7.3
  * Contains fix: crash when building the gcc-12-doc package.
  * Lot of (www.)gnu.org URLs use to https protocol
    (Closes: #1105214)

  * Add patch for buggy resolution of cross-references (Closes: #484740).
  * Enable (still experimental) SWIG interface of TeXInfo.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 03 Mar 2026 22:46:58 +0100
