=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	desktop-file-utils,
 	gettext,
 	help2man,
+	swig,
 	libintl-perl,
 	libncurses-dev,
 	libperl-dev,
@@ -64,6 +65,24 @@
  .
  This package contains the architecture dependent parts of the texinfo package.
 
+Package: texinfo-swig
+Section: text
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends},
+	${misc:Depends},
+	${perl:Depends}
+Description: Swig interface of the texinfo package.
+ Texinfo is a documentation system that uses a single source file to
+ produce both on-line information and printed output.
+ .
+ Using Texinfo, you can create a printed document with the normal features
+ of a book, including chapters, sections, cross references, and indices.
+ From the same Texinfo source file, you can create a menu-driven, on-line
+ Info file with nodes, menus, cross references, and indices.
+ .
+ This package contains the SWIG interface of TeXInfo.
+
 Package: info
 Priority: optional
 Architecture: any
