=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	  --libexecdir='$${prefix}/lib' \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
-	  --enable-perl-xs \
+	  --enable-perl-xs --with-swig \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	# Leave C based texi2any for later; need a new package for "texiany".
 	#  --enable-c-texi2any
